<form action="films/new">
  <input type="submit" value="New film" />
</form>
<ul>
    <li *ngFor="let film of films | async">
      <a href="films/{{film.id}}">{{ film.title }}</a> by {{film.director}}, imdb rating : ({{film.imdbRating}}) <button class="delete_button" type="submit" (click)="onClick(film.id)">delete</button>
    </li>
  </ul>